## EProxy EProxy |

## Synopsis

                        EProxy;
    EProxy*             e_proxy_new                         (void);
    SoupURI*            e_proxy_peek_uri_for                (EProxy *proxy,
                                                             const gchar *uri);
    void                e_proxy_setup_proxy                 (EProxy *proxy);
    gboolean            e_proxy_require_proxy_for_uri       (EProxy *proxy,
                                                             const gchar *uri);

## Description

## Details

### EProxy

    typedef struct {
    	GObject parent;
    	EProxyPrivate *priv;
    } EProxy;

### e_proxy_new ()

    EProxy*             e_proxy_new                         (void);

Returns : |

### e_proxy_peek_uri_for ()

    SoupURI*            e_proxy_peek_uri_for                (EProxy *proxy,
                                                             const gchar *uri);

`proxy` : |
`uri` : |
Returns : |

### e_proxy_setup_proxy ()

    void                e_proxy_setup_proxy                 (EProxy *proxy);

`proxy` : |

### e_proxy_require_proxy_for_uri ()

    gboolean            e_proxy_require_proxy_for_uri       (EProxy *proxy,
                                                             const gchar *uri);

`proxy` : |
`uri` : |
Returns : |